How to run Telegram bot on VPS server?

When you run Telegram bot gives an error:
5e963a36629e5391367595.png
Since I work with Linux for the first time, followed the instructions of the person with Habra https://habr.com/ru/post/347106/
Even when systemctl says that the bot is active in the telegram did not work, and after re-entering the command systemctl status bot gives the same error.
April 19th 20 at 12:03
4 answers
April 19th 20 at 12:05
Solution
Thank you all for the help! Problem solved, I installed Ubuntu 18.04,as well as updated Python to version 3.6.9.
5e96eda88089b446729755.png
April 19th 20 at 12:07
journalctl -u bot will show what the bot said before he died. systemctl says that the bot is active, because, apparently, he dies immediately, but after the fall of the restart (auto-restart)
root@mayshev:/usr/local/bin/bot# journalctl -u bot
-- Logs begin at Wed 2020-04-15 10:19:35 MSK, end at Wed 2020-04-15 11:30:33 MSK. --
Apr 15 11:30:12 mayshev python3[1469]: 2020-04-15 11:30:12,523 (util.py:66 PollingThread) ERROR - TeleBot: "ValueErro
Apr 15 11:30:12 mayshev python3[1469]: Traceback (most recent call last):
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/urllib3/util.py", line 144, in _validate_
Apr 15 11:30:12 mayshev python3[1469]: float(value)
Apr 15 11:30:12 mayshev python3[1469]: TypeError: float() argument must be a string or a number, not 'tuple'
Apr 15 11:30:12 mayshev python3[1469]: During handling of the above exception, another exception occurred:
Apr 15 11:30:12 mayshev python3[1469]: Traceback (most recent call last):
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/util.py", line 60, in run
Apr 15 11:30:12 mayshev python3[1469]: task(*args, **kwargs)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 279, i
Apr 15 11:30:12 mayshev python3[1469]: updates = self.get_updates(offset=(self.last_update_id + 1), timeout=timeout)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 249, i
Apr 15 11:30:12 mayshev python3[1469]: json_updates = apihelper.get_updates(self.token, offset, limit, timeout, allow
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/apihelper.py", line 194,
Apr 15 11:30:12 mayshev python3[1469]: return _make_request(token, method_url, params=payload)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/apihelper.py", line 58, i
Apr 15 11:30:12 mayshev python3[1469]: timeout=(connect_timeout, read_timeout), proxies=proxy)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/requests/sessions.py", line 467, in reque
Apr 15 11:30:12 mayshev python3[1469]: resp = self.send(prep, **send_kwargs)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/requests/sessions.py", line 570, in send
Apr 15 11:30:12 mayshev python3[1469]: r = adapter.send(request, **kwargs)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/requests/adapters.py", line 316, in send
Apr 15 11:30:12 mayshev python3[1469]: timeout = TimeoutSauce(connect=timeout, read=timeout)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/urllib3/util.py", line 116, in __init__
Apr 15 11:30:12 mayshev python3[1469]: self._connect = self._validate_timeout(connect, 'connect')
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/urllib3/util.py", line 147, in _validate_
Apr 15 11:30:12 mayshev python3[1469]: "int or float." % (name, value))
Apr 15 11:30:12 mayshev python3[1469]: ValueError: Timeout value connect was (3.5, 30), but it must be an int or floa
Apr 15 11:30:12 mayshev python3[1469]: "
Apr 15 11:30:12 mayshev python3[1469]: Traceback (most recent call last):
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/urllib3/util.py", line 144, in _validate_
Apr 15 11:30:12 mayshev python3[1469]: float(value)
Apr 15 11:30:12 mayshev python3[1469]: TypeError: float() argument must be a string or a number, not 'tuple'
Apr 15 11:30:12 mayshev python3[1469]: During handling of the above exception, another exception occurred:
Apr 15 11:30:12 mayshev python3[1469]: Traceback (most recent call last):
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/bin/bot/bot.py", line 26, in
Apr 15 11:30:12 mayshev python3[1469]: bot.polling(none_stop=True)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 392, i
Apr 15 11:30:12 mayshev python3[1469]: self.__threaded_polling(none_stop, interval, timeout)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 415, i
Apr 15 11:30:12 mayshev python3[1469]: polling_thread.raise_exceptions()
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/util.py", line 79, in rai
Apr 15 11:30:12 mayshev python3[1469]: six.reraise(self.exc_info[0], self.exc_info[1], self.exc_info[2])
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/six.py", line 536, in reraise
Apr 15 11:30:12 mayshev python3[1469]: raise value
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/util.py", line 60, in run
Apr 15 11:30:12 mayshev python3[1469]: task(*args, **kwargs)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 279, i
Apr 15 11:30:12 mayshev python3[1469]: updates = self.get_updates(offset=(self.last_update_id + 1), timeout=timeout)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 249, i
Apr 15 11:30:12 mayshev python3[1469]: json_updates = apihelper.get_updates(self.token, offset, limit, timeout, allow
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/apihelper.py", line 194,
Apr 15 11:30:12 mayshev python3[1469]: return _make_request(token, method_url, params=payload)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/apihelper.py", line 58, i
Apr 15 11:30:12 mayshev python3[1469]: timeout=(connect_timeout, read_timeout), proxies=proxy)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/requests/sessions.py", line 467, in reque
Apr 15 11:30:12 mayshev python3[1469]: resp = self.send(prep, **send_kwargs)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/requests/sessions.py", line 570, in send
Apr 15 11:30:12 mayshev python3[1469]: r = adapter.send(request, **kwargs)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/requests/adapters.py", line 316, in send
Apr 15 11:30:12 mayshev python3[1469]: timeout = TimeoutSauce(connect=timeout, read=timeout)
lines 1-62...skipping...
-- Logs begin at Wed 2020-04-15 10:19:35 MSK, end at Wed 2020-04-15 11:30:33 MSK. --
Apr 15 11:30:12 mayshev python3[1469]: 2020-04-15 11:30:12,523 (util.py:66 PollingThread) ERROR - TeleBot: "ValueError occurred, args=('Timeout value connect was (3.5, 30), but it must be an int or float.',)
Apr 15 11:30:12 mayshev python3[1469]: Traceback (most recent call last):
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/urllib3/util.py", line 144, in _validate_timeout
Apr 15 11:30:12 mayshev python3[1469]: float(value)
Apr 15 11:30:12 mayshev python3[1469]: TypeError: float() argument must be a string or a number, not 'tuple'
Apr 15 11:30:12 mayshev python3[1469]: During handling of the above exception, another exception occurred:
Apr 15 11:30:12 mayshev python3[1469]: Traceback (most recent call last):
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/util.py", line 60, in run
Apr 15 11:30:12 mayshev python3[1469]: task(*args, **kwargs)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 279, in __retrieve_updates

Part 1 logs. - lamar10 commented on April 19th 20 at 12:10
Apr 15 11:30:12 mayshev python3[1469]: updates = self.get_updates(offset=(self.last_update_id + 1), timeout=timeout)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 249, in get_updates
Apr 15 11:30:12 mayshev python3[1469]: json_updates = apihelper.get_updates(self.token, offset, limit, timeout, allowed_updates)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/apihelper.py", line 194, in get_updates
Apr 15 11:30:12 mayshev python3[1469]: return _make_request(token, method_url, params=payload)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/apihelper.py", line 58, in _make_request
Apr 15 11:30:12 mayshev python3[1469]: timeout=(connect_timeout, read_timeout), proxies=proxy)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/requests/sessions.py", line 467, in request
Apr 15 11:30:12 mayshev python3[1469]: resp = self.send(prep, **send_kwargs)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/requests/sessions.py", line 570, in send
Apr 15 11:30:12 mayshev python3[1469]: r = adapter.send(request, **kwargs)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/requests/adapters.py", line 316, in send
Apr 15 11:30:12 mayshev python3[1469]: timeout = TimeoutSauce(connect=timeout, read=timeout)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/urllib3/util.py", line 116, in __init__
Apr 15 11:30:12 mayshev python3[1469]: self._connect = self._validate_timeout(connect, 'connect')
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/urllib3/util.py", line 147, in _validate_timeout
Apr 15 11:30:12 mayshev python3[1469]: "int or float." % (name, value))
Apr 15 11:30:12 mayshev python3[1469]: ValueError: Timeout value connect was (3.5, 30), but it must be an int or float.
Apr 15 11:30:12 mayshev python3[1469]: "
Apr 15 11:30:12 mayshev python3[1469]: Traceback (most recent call last):
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/urllib3/util.py", line 144, in _validate_timeout
Apr 15 11:30:12 mayshev python3[1469]: float(value)
Apr 15 11:30:12 mayshev python3[1469]: TypeError: float() argument must be a string or a number, not 'tuple'
Apr 15 11:30:12 mayshev python3[1469]: During handling of the above exception, another exception occurred:
Apr 15 11:30:12 mayshev python3[1469]: Traceback (most recent call last):
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/bin/bot/bot.py", line 26, in
Apr 15 11:30:12 mayshev python3[1469]: bot.polling(none_stop=True)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 392, in polling
Apr 15 11:30:12 mayshev python3[1469]: self.__threaded_polling(none_stop, interval, timeout)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 415, in __threaded_polling
Apr 15 11:30:12 mayshev python3[1469]: polling_thread.raise_exceptions()
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/util.py", line 79, in raise_exceptions
Apr 15 11:30:12 mayshev python3[1469]: six.reraise(self.exc_info[0], self.exc_info[1], self.exc_info[2])
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/six.py", line 536, in reraise
Apr 15 11:30:12 mayshev python3[1469]: raise value
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/util.py", line 60, in run
Apr 15 11:30:12 mayshev python3[1469]: task(*args, **kwargs)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 279, in __retrieve_updates
Apr 15 11:30:12 mayshev python3[1469]: updates = self.get_updates(offset=(self.last_update_id + 1), timeout=timeout)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 249, in get_updates
Apr 15 11:30:12 mayshev python3[1469]: json_updates = apihelper.get_updates(self.token, offset, limit, timeout, allowed_updates)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/apihelper.py", line 194, in get_updates
Apr 15 11:30:12 mayshev python3[1469]: return _make_request(token, method_url, params=payload)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/local/lib/python3.4/dist-packages/telebot/apihelper.py", line 58, in _make_request
Apr 15 11:30:12 mayshev python3[1469]: timeout=(connect_timeout, read_timeout), proxies=proxy)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/requests/sessions.py", line 467, in request
Apr 15 11:30:12 mayshev python3[1469]: resp = self.send(prep, **send_kwargs)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/requests/sessions.py", line 570, in send
Apr 15 11:30:12 mayshev python3[1469]: r = adapter.send(request, **kwargs)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/requests/adapters.py", line 316, in send
Apr 15 11:30:12 mayshev python3[1469]: timeout = TimeoutSauce(connect=timeout, read=timeout)
Apr 15 11:30:12 mayshev python3[1469]: File "/usr/lib/python3/dist-packages/urllib3/util.py", line 116, in __init__
lines 1-63
2 - part log.
VPS is Ubuntu 14.04 and Python 3.4.3, the above version is not put. I understand how he doesn't like Python... - lamar10 commented on April 19th 20 at 12:13
well, errors in Python, refer to the programmer
ValueError: Timeout value connect was (3.5, 30), but it must be an int or float.

TypeError: float() argument must be a string or a number, not 'tuple'
- esther_Pfeffer commented on April 19th 20 at 12:16
@esther_Pfeffer, the problem was in outdated version of python. At the moment, put Ubantu 18.04 and Python version 3.6.9, the bot is quite efficient.
Thanks for the help! - lamar10 commented on April 19th 20 at 12:19
April 19th 20 at 12:09
times knowledge to embed the data logger there, run the bot not using the unit, and directly.
in the console an error is displayed with which the bot is falling.
/usr/bin/python3 /usr/local/bin/bot/bot.py
then either Google or paste the error here.
check the version of Python, do you have visual that your version is not yet supported.
as an example of the f string' starting with 3.6
python3 -V
root@mayshev:/usr/local/bin/bot# python3 bot.py
2020-04-15 11:25:18,877 (util.py:66 PollingThread) ERROR - TeleBot: "ValueError occurred, args=('Timeout value connect was (3.5, 30), but it must be an int or float.',)
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/util.py", line 144, in _validate_timeout
float(value)
TypeError: float() argument must be a string or a number, not 'tuple'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.4/dist-packages/telebot/util.py", line 60, in run
task(*args, **kwargs)
File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 279, in __retrieve_updates
updates = self.get_updates(offset=(self.last_update_id + 1), timeout=timeout)
File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 249, in get_updates
json_updates = apihelper.get_updates(self.token, offset, limit, timeout, allowed_updates)
File "/usr/local/lib/python3.4/dist-packages/telebot/apihelper.py", line 194, in get_updates
return _make_request(token, method_url, params=payload)
File "/usr/local/lib/python3.4/dist-packages/telebot/apihelper.py", line 58, in _make_request
timeout=(connect_timeout, read_timeout), proxies=proxy)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 467, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 570, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 316, in send
timeout = TimeoutSauce(connect=timeout, read=timeout)
File "/usr/lib/python3/dist-packages/urllib3/util.py", line 116, in __init__
self._connect = self._validate_timeout(connect, 'connect')
File "/usr/lib/python3/dist-packages/urllib3/util.py", line 147, in _validate_timeout
"int or float." % (name, value))
ValueError: Timeout value connect was (3.5, 30), but it must be an int or float.
"
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/util.py", line 144, in _validate_timeout
float(value)
TypeError: float() argument must be a string or a number, not 'tuple'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "bot.py", line 26, in
bot.polling(none_stop=True)
File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 392, in polling
self.__threaded_polling(none_stop, interval, timeout)
File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 415, in __threaded_polling
polling_thread.raise_exceptions()
File "/usr/local/lib/python3.4/dist-packages/telebot/util.py", line 79, in raise_exceptions
six.reraise(self.exc_info[0], self.exc_info[1], self.exc_info[2])
File "/usr/lib/python3/dist-packages/six.py", line 536, in reraise
raise value
File "/usr/local/lib/python3.4/dist-packages/telebot/util.py", line 60, in run
task(*args, **kwargs)
File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 279, in __retrieve_updates
updates = self.get_updates(offset=(self.last_update_id + 1), timeout=timeout)
File "/usr/local/lib/python3.4/dist-packages/telebot/__init__.py", line 249, in get_updates
json_updates = apihelper.get_updates(self.token, offset, limit, timeout, allowed_updates)
File "/usr/local/lib/python3.4/dist-packages/telebot/apihelper.py", line 194, in get_updates
return _make_request(token, method_url, params=payload)
File "/usr/local/lib/python3.4/dist-packages/telebot/apihelper.py", line 58, in _make_request
timeout=(connect_timeout, read_timeout), proxies=proxy)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 467, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 570, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 316, in send
timeout = TimeoutSauce(connect=timeout, read=timeout)
File "/usr/lib/python3/dist-packages/urllib3/util.py", line 116, in __init__
self._connect = self._validate_timeout(connect, 'connect')
File "/usr/lib/python3/dist-packages/urllib3/util.py", line 147, in _validate_timeout
"int or float." % (name, value))
ValueError: Timeout value connect was (3.5, 30), but it must be an int or float.

Directly also does not want to work, maybe it's due to a Python version 3.4.3 - lamar10 commented on April 19th 20 at 12:12
Here it is written as
ValueError: Timeout value connect was (3.5, 30),
at least somewhere in the timeout parameter should be an integer - 3. - Marlene81 commented on April 19th 20 at 12:15
@Marlene81does Not work.The same mistakes...

"int or float." % (name, value))
ValueError: Timeout value connect was (3, 30), but it must be an int or float. - lamar10 commented on April 19th 20 at 12:18
@lamar10, so maybe it megacad bot show? - Marlene81 commented on April 19th 20 at 12:21
@Marlene81, the fact of the matter is, it's not even megacode...the Machine itself is a library Telebot don't like. That's the problem.
import telebot

bot = telebot.TeleBot('APIbotfather')

keyboard1 = telebot.types.ReplyKeyboardMarkup(True,True)
keyboard1.row('1', '2')
keyboard1.row('3', '4')

@bot.message_handler(commands=['start'])
def send_welcome(message):
 bot.send_message(message.chat.id, 'Welcome!', reply_markup=keyboard1)

@bot.message_handler(content_types=['text'])
def sent_text(message):
 if message.text == '1':
 bot.send_message(message.chat.id ")
 elif message.text == '2':
 bot.send_message(message.chat.id ")
 elif message.text == '3':
 bot.send_message(message.chat.id ")
 elif message.text == '4':
 bot.send_message(message.chat.id ")
else:
 bot.send_message(message.chat.id, 'I don't know what to say ')
# RUN 
bot.polling(none_stop=True)
- lamar10 commented on April 19th 20 at 12:24
@lamar10, well, as if from where the bot runs there is no problems with access to telegram, from here is Your working code.
import telebot

bot = telebot.TeleBot('APIbotfather')


@bot.message_handler(commands=['start'])
def send_welcome(message):
 keyboard1 = telebot.types.ReplyKeyboardMarkup(True, True)
 keyboard1.row('1', '2')
 keyboard1.row('3', '4')
 bot.send_message(message.chat.id, 'Welcome!', reply_markup=keyboard1)


@bot.message_handler(content_types=['text'])
def sent_text(message):
 if message.text == '1':
 bot.send_message(message.chat.id, 'you clicked 1')
 elif message.text == '2':
 bot.send_message(message.chat.id, 'you clicked 2')
 elif message.text == '3':
 bot.send_message(message.chat.id, 'you clicked 3')
 elif message.text == '4':
 bot.send_message(message.chat.id, 'you clicked 4')
else:
 bot.send_message(message.chat.id, 'I don't know what to say ')

# RUN
bot.polling(none_stop=True)
- Marlene81 commented on April 19th 20 at 12:27
@Marlene81, I installed Ubuntu 18.04 and Python 3.6.9 now with direct start the bot no problem. Left to run it... Thanks for the help! - lamar10 commented on April 19th 20 at 12:30
April 19th 20 at 12:11
The console also indicates that syntax error. White on black. Go and check that there is not and no configurations can only tyknut the fingers in this issue and send it back to understand
5e963987d5425066363065.png
Where is the syntax error? - lamar10 commented on April 19th 20 at 12:14
The syntax error you pointed out, preissle due to the fact that I inserted a non-existent command in the console. - lamar10 commented on April 19th 20 at 12:17
@lamar10, it was on last screenshot. This just crashes the script. - lew33 commented on April 19th 20 at 12:20
@lew33Have any idea, what can there be wrong? Well, or at least advice on how I can diagnose the problem. - lamar10 commented on April 19th 20 at 12:23
@lamar10, to bring the logs from the bot - lew33 commented on April 19th 20 at 12:26
@lew33, and how to do it? - lamar10 commented on April 19th 20 at 12:29
@lamar10, well, you're probably programming in Python - here and debug the script - lew33 commented on April 19th 20 at 12:32
@lew33, do Not know, okay I'll try to poke a finger in the sky... - lamar10 commented on April 19th 20 at 12:35

Find more questions by tags TelegramBotsUbuntuLinux